Subject: Re: [RFC] Status of orinoco_usb

From: Kalle Valo <[email-masked]>
Date: Mon, 05 Oct 2020 17:12:54 +0300

Greg Kroah-Hartman <[email-masked]> writes:

> On Fri, Oct 02, 2020 at 01:53:58PM +0200, Sebastian Andrzej Siewior wrote:
>> On 2020-10-02 13:37:25 [+0200], Greg Kroah-Hartman wrote:
>> > > Is it possible to end up here in softirq context or is this a relic?
>> > 
>> > I think it's a relic of where USB host controllers completed their urbs
>> > in hard-irq mode.  The BH/tasklet change is a pretty recent change.
>> 
>> But the BH thingy for HCDs went in v3.12 for EHCI. XHCI was v5.5. My
>> guess would be that people using orinoco USB are on EHCI :)
>
> USB 3 systems run XHCI, which has a USB 2 controller in it, so these
> types of things might not have been noticed yet.  Who knows :)
>
>> > > Should it be removed?
>> > 
>> > We can move it out to drivers/staging/ and then drop it to see if anyone
>> > complains that they have the device and is willing to test any changes.
>> 
>> Not sure moving is easy since it depends on other files in that folder.
>> USB is one interface next to PCI for instance. Unless you meant to move
>> the whole driver including all interfaces.
>> I was suggesting to remove the USB bits.
>
> I forgot this was tied into other code, sorry.  I don't know what to
> suggest other than maybe try to fix it up the best that you can, and
> let's see if anyone notices...

That's what I would suggest as well.

These drivers for ancient hardware are tricky. Even if there doesn't
seem to be any users on the driver sometimes people pop up reporting
that it's still usable. We had that recently with one another wireless
driver (forgot the name already).

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches